# $Revision: 1.21 $, $Date: 2011/03/31 18:11:11 $
Summary:	libhome - a configurable getpwnam(3) emulator
Summary(pl.UTF-8):	libhome - konfigurowalny emulator funkcji getpwnam(3)
Name:		libhome
Version:	0.10.1
Release:	11
License:	LGPL v2+
Group:		Libraries
Source0:	http://dl.sourceforge.net/pll/%{name}-%{version}.tar.gz
# Source0-md5:	fe0b4e581c62bc64eb13295eb7f2b0e5
Patch0:		%{name}-DESTDIR.patch
URL:		http://pll.sourceforge.net/
BuildRequires:	automake
BuildRequires:	groff
BuildRequires:	db-devel
BuildRequires:	mysql-devel
BuildRequires:	openldap-devel >= 2.4.6
BuildRequires:	pam-devel
BuildRequires:	postgresql-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
It supports MySQL, Open LDAP or system /etc/passwd frontend.

It's intended to replace getpwnam within system daemons who need user
authentification or identification when the users are listed on
foreign servers.

%description -l pl.UTF-8
Biblioteka obsługuje MySQL, Open LDAP lub plik /etc/passwd.

Jej zadaniem jest zamiana wywołania getpwnam w demonach systemowych,
które potrzebują uwierzytelnienia lub identyfikacji użytkownika w
oparciu o dane z obcych serwerów.

%package devel
Summary:	Header files for libhome library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libhome
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	db-devel
Requires:	mysql-devel
Requires:	openldap-devel >= 2.4.6
Requires:	pam-devel
Requires:	postgresql-devel

%description devel
Header files for libhome library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libhome.

%package static
Summary:	Static libhome library
Summary(pl.UTF-8):	Statyczna biblioteka libhome
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libhome library.

%description static -l pl.UTF-8
Statyczna biblioteka libhome.

%prep
%setup -q
%patch0 -p1 -b .orig

%build
cp -f /usr/share/automake/config.* .
%configure \
	--with-db4=%{_includedir} \
	--with-ldap \
	--with-mysql \
	--with-pgsql \
	--with-pam
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	bindir=%{_bindir} \
	libdir=%{_libdir} \
	includedir=%{_includedir} \
	mandir=%{_mandir}

install home.conf $RPM_BUILD_ROOT%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_bindir}/home_*
%attr(755,root,root) %{_sbindir}/home_*
%attr(755,root,root) %{_bindir}/libhome.sh
%attr(755,root,root) %{_libdir}/lib*home*.so.*.*.*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/home.conf
%{_mandir}/man5/home.conf.5*
%{_mandir}/man8/home_proxy.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*home*.so
%{_libdir}/lib*home*.la
%{_includedir}/home

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*home*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libhome.spec,v $
Revision 1.21  2011/03/31 18:11:11  arekm
- release 11

Revision 1.20  2011/01/31 08:55:22  arekm
- release 10

Revision 1.19  2010/04/12 19:26:22  arekm
- release 9

Revision 1.18  2009/08/18 10:59:58  arekm
- release 8

Revision 1.17  2008/06/14 10:22:50  arekm
- rel 7

Revision 1.16  2007-11-18 18:11:41  arekm
- rel 6

Revision 1.15  2007-11-03 13:21:13  baggins
- rel 5

Revision 1.14  2007/11/03 02:10:03  baggins
- updated openldap BR/R to 2.4.6

Revision 1.13  2007/08/02 10:48:33  arekm
- rel 4

Revision 1.12  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.11  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.10  2006/12/22 23:10:32  arekm
- rel 3

Revision 1.9  2006/08/09 20:11:05  arekm
- rel 2

Revision 1.8  2006/02/03 10:33:55  qboosh
- devel deps

Revision 1.7  2006/01/30 13:45:31  arekm
- up to 0.10.1

Revision 1.6  2005/12/27 01:16:17  glen
- BR groff

Revision 1.5  2005/12/13 11:54:17  glen
- adalterized (sorted %verify flags)

Revision 1.4  2004/12/05 18:46:28  qboosh
- added DESTDIR patch, fixed install, package devel resources
- removed COPYING.LIB (just LGPL) and VERSION from doc

Revision 1.3  2004/12/05 18:16:14  qboosh
- pl fixes, unified Source URL, short-circuit fixes
- don't run libtoolize alone, it breaks things

Revision 1.2  2004/12/05 14:25:22  darekr
- BR libtool

Revision 1.1  2004/12/05 02:39:58  zergin
- initial release, needs some work at install
